Page 9 of 10

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Sat Dec 08, 2018 6:45 pm
by Lex24
Thanks. This might be of interest to anyone who only needs .Net to run nLite (it requires .Net v2.0).

The command from the post above seems to be working ok. There are some traces of v3.0 and v3.5 in the registry, when you look around:

Code: Select all

HKLM\Software\Microsoft\NET Framework Setup\NDP
However, looking at the size of drive C it is definitely v2.0. So you can save some disk space and there are fewer updates to deal with. In case of my nLited XP the drive C looks as follows:

1.24 GB - no .Net
1.41 GB - .Net v2.0
1.77 GB - .Net v1.1/2/3/3.5

For the record, here are the components used in my XP build. They are available on RyanVM forums:

en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso

XPSP3_QFE_UpdatePack_20180109.7z
XPSP3_QFE_POSReady_Addon_20180917_5er.7z
YumeYao_IE8_Addon_Clean_ENU_1.5.42.7z

https://ryanvm.net/forum/viewtopic.php?f=25&t=7184

https://ryanvm.net/forum/viewtopic.php?t=10479

https://ryanvm.net/forum/viewtopic.php?f=7&t=10482

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Tue Dec 11, 2018 6:07 pm
by abbodi86
2018-12-11

Code: Select all

- added: .NET 3.5 KB4470633 - .NET 4.0 KB4470490
- added: command line switch /ai2 to install .NET 2.0 only

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Wed Dec 12, 2018 12:02 pm
by dude-uk
Thanks abbodi86 ...
ive made a runonce addon with your lastest AIO framework and uploaded to my shared drive..

RunOnceEx_FW_AIO_11-12-18_abbodi86addon

.

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Tue Jan 22, 2019 12:46 am
by abbodi86
2019-01-08

Code: Select all

- added: .NET 2.0 KB4480087 - .NET 4.0 KB4480077

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Fri Jan 25, 2019 4:59 am
by dude-uk
abbodi86 wrote:
Tue Jan 22, 2019 12:46 am
2018-01-08

Code: Select all

- added: .NET 2.0 KB4480087 - .NET 4.0 KB4480077
are you sure the date is correct ' 2018-01-08 '

as its now 2019

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Sat Jan 26, 2019 12:22 pm
by dude-uk
Thanks abbodi86 ...
ive made a runonce addon with your lastest AIO framework and uploaded to my shared drive..

RunOnceEx_FW_AIO_08-01-19_abbodi86addon

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Tue Feb 12, 2019 3:58 pm
by abbodi86
2019-02-12

Code: Select all

- Added  : KB4483485 (.NET 2.0), KB4483495 (.NET 3.0), KB4483475 (.NET 4.0)
- Removed: KB4480087 (.NET 2.0), KB4457058 (.NET 3.0), KB4457046/KB4480077 (.NET 4.0)

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Wed Mar 06, 2019 3:38 pm
by dude-uk
Thanks abbodi86 ...
ive made a runonce addon with your lastest AIO framework and uploaded to my shared drive..

RunOnceEx_FW_AIO_12-02-19_abbodi86addon

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Mon Mar 11, 2019 12:46 am
by Lex24
I have noticed that there are some limitations when using /y. It seems to be only available when installing all versions (.NET v1.1 through v4.0):

Code: Select all

dotNetFx_AIO_x86.exe /y
When I tried to install only .NET v2.0 with /y2 there were other versions installed as well:

Code: Select all

// This does not work
dotNetFx_AIO_x86.exe /y2
Switch /y is convenient because it triggers "Installation Is Complete" pop-up at the end of the installation process:

https://i.postimg.cc/MpH1NCxW/param-y-2.png

It seems that the installer was intended for mass deployment situations when any pop-up interruptions are unwelcome.

Below is the screenshot with all the switches available with the installer dated 2019-02-12. This should be considered the complete list of switches, with no other arbitrary combinations allowed, except for /gm2 and /sfxlang which can be combined with any other switch:

https://i.postimg.cc/g2LPM0wm/04-params-v20190212.png

Re: [Legacy] .NET Framework AIO for XP x86 (1-10-2016)

Posted: Sat Apr 06, 2019 3:09 am
by Lex24
I have run into "JIT Debugger" error after attempting to start the Desktop Software for a legacy BlackBerry phone:

https://i.postimg.cc/PxqFLTrd/bbdm-error-1.png

https://i.postimg.cc/d1SNrpLr/bbdm-error-2.png

Here is the layout:

/********************************************************************************/
OS - Windows Embedded POSReady 2009 (updated to 2019-Mar-11)

.NET - dotNetFx_AIO_x86.exe (2019-Feb-12)

Installation command:

Code: Select all

dotNetFx_AIO_x86.exe /ai3
BlackBerry Software: 710_b042_multilanguage.exe

/********************************************************************************/

There is no error and everything runs ok if .Net has been installed using the original MS dotnetfx35.exe.

I have multiple instances of XP installed on different partitions and Clonezilla partition image back-ups so it's easy to test different configurations. In this case I'm running Windows Embedded POSReady 2009 and not XP, but it shouldn't make any difference.

Below is some more information, in case anyone has time to look into this.

The specs for the software indicate .Net v3.5:

http://support.blackberry.com/kb/articl ... =000053698

The original download link is here:

https://swdownloads.blackberry.com/Down ... 852FAD3647

In case the above link doesn't work it can be found under "BlackBerry Desktop software for BlackBerry 7.1 OS and earlier" here:

https://www.blackberry.com/us/en/suppor ... -downloads